@import "../utils/variables";
@import "../utils/mixin";

#wrap {
  overflow: hidden;
}

.page-content {
  display: flex;
  align-items: center;
  position: relative;
  min-height: 100vh;

  @include breakpoint($mobile) {
    align-items: stretch;
  }
}

.container-details {
  position: relative;
  z-index: 1;
  padding: 60px 15px;

  @include breakpoint($mobile) {
    padding: 37px 15px;
  }
}

.object-fit-cover {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  min-height: 100%;
  height: auto;
  object-fit: cover;
  z-index: -1;
}

.banner-wrap {
  max-width: 950px;
  width: 100%;

  @include breakpoint($tablet) {
    max-width: 700px;
  }

  @include breakpoint($mobile) {
    display: flex;
    flex-direction: column;
    height: calc(100% - 74px);
    justify-content: space-between;
  }
}

.banner-content {
  margin: 0 0 75px -5px;

  @include breakpoint($mobile) {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 37px 0 37px 0;
  }
}

.holder-link {
  margin-bottom: 61px;
  display: flex;
  align-items: center;

  @include breakpoint($mobile) {
    margin-bottom: 0;
    flex-direction: column;
    padding: 0 15px;
  }

  .btn {
    width: auto;

    @include breakpoint($mobile) {
      width: 100%;
    }
  }
}

.holder-services {
  max-width: 818px;
  line-height: 100%;

  @include breakpoint($tablet) {
  }

  @include breakpoint($mobile) {
    order: -1;
    padding-right: 0;
    max-width: 303px;
    width: 100%;
    margin: 0 auto;
  }
}

.star-decoration {
  top: 0;
  left: 0;
  right: 0;
}

.smoke-decoration-1 {
  bottom: -16%;
  left: 22%;
  width: 1150px;

  @include breakpoint($desktop) {
    bottom: 20%;
    left: 32%;
    width: 330px;
  }

  @include breakpoint($mobile) {
    bottom: 0;
    left: 51%;
  }
}

.smoke-decoration-2 {
  bottom: 0;
  left: 10%;
  width: 1115px;
}

.smoke-decoration-3 {
  bottom: 0;
  left: 0;
  width: 1015px;

  @include breakpoint($desktop) {
    width: 405px;
  }

  @include breakpoint($tablet) {
    width: 868px;
  }

  @include breakpoint($mobile) {
    width: 218px;
  }
}

.smoke-decoration-4 {
  bottom: -13%;
  left: 28%;
  width: 845px;

  @include breakpoint($desktop) {
    bottom: 4%;
    left: 18%;
    width: 375px;
  }
}

.smoke-decoration-5 {
  bottom: 0;
  left: 0;
  right: 0;
  height: 250px;
}


